Bug 735699 - [abrt] yum-3.2.28-7.fc14: output.py:519:simpleList:MemoryError
Summary: [abrt] yum-3.2.28-7.fc14: output.py:519:simpleList:MemoryError
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 14
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d7c8d724
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 03:39 UTC by Alex Bartl
Modified: 2014-01-21 23:19 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 15:51:21 UTC


Attachments (Terms of Use)
File: backtrace (967 bytes, text/plain)
2011-09-05 03:39 UTC, Alex Bartl
no flags Details

Description Alex Bartl 2011-09-05 03:39:20 UTC
abrt version: 1.1.18
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/yum list
component: yum
executable: /usr/bin/yum
kernel: 2.6.35.14-95.fc14.x86_64
package: yum-3.2.28-7.fc14
reason: output.py:519:simpleList:MemoryError
release: Fedora release 14 (Laughlin)
time: 1315193422
uid: 0

backtrace
-----
output.py:519:simpleList:MemoryError

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 258, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 113, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 396, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 348, in doCommand
    '=' : clar, 'not in' : clai})
  File "/usr/share/yum-cli/output.py", line 667, in listPkgs
    highlight=highlight, columns=columns)
  File "/usr/share/yum-cli/output.py", line 519, in simpleList
    na = '%s%s.%s' % (indent, pkg.name, pkg.arch)
MemoryError

Local variables in innermost frame:
ui_overflow: True
self: <cli.YumBaseCli object at 0x2a83e50>
indent: ''
highlight: 'normal'

How to reproduce
-----
1. ran yum
2.
3.

Comment 1 Alex Bartl 2011-09-05 03:39:24 UTC
Created attachment 521427 [details]
File: backtrace

Comment 2 Fedora End Of Life 2012-08-16 15:51:24 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.